Bug 112307 - Grub doesn't take input from USB keyboard
Grub doesn't take input from USB keyboard
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-12-17 11:23 EST by Joakim Ryden
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-21 19:08:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joakim Ryden 2003-12-17 11:23:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031110 Firebird/0.7

Description of problem:
Typing anything at the grub menu selector at boot time does not work
with (any?) USB keyboard. My particular keyboard is a standard Apple
USB keyboard. I have to wait for the menu selection to time out, which
of course means I'm only able to boot into the default menu entry.
Keyboard works fine once OS is loaded.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Plug in your USB keyboard
2. Reboot
3. Typing or using keyboard at all not possible at grub prompt

Additional info:
Comment 1 Jeremy Katz 2003-12-17 11:47:15 EST
What are your BIOS settings with regard to USB?
Comment 2 Joakim Ryden 2003-12-17 12:06:37 EST
USB{0,1,2,2.0} Access Interface EDB Bus

The only other option for those is to set it to PCI Bus (which I
haven't tried yet)
Comment 3 Joakim Ryden 2003-12-30 20:12:29 EST
I did try switching to PCI Bus but that made no apparent difference.
Comment 4 Jeremy Katz 2004-01-03 15:34:41 EST
There isn't an option with regard to legacy usb support?  What type of
machine is this and is it running the most current BIOS?
Comment 5 Jeremy Katz 2004-06-21 19:08:41 EDT
Closing due to lack of activity.  Please reopen if you have further
information to add to this bug report.

Note You need to log in before you can comment on or make changes to this bug.